#!/bin/bash
cmd_msg(){
	cmd=$1
	if type $cmd 2>/dev/null 1>/dev/null; then
		return 1
	else
		echo "コマンド「${cmd}」がインストールされていません"
		echo "インストール後に再度実行してください"
		exit
	fi
}

cmd_msg system_profiler
cmd_msg uname
cmd_msg sw_vers
cmd_msg getconf

if [ ! -e result ]; then
	mkdir result
fi
cd result

system_profiler SPHardwareDataType > hardware
uname -n > hostname
sw_vers > os
getconf LONG_BIT > arch
system_profiler SPMemoryDataType | egrep "Size|BANK" > mem
system_profiler SPSerialATADataType | egrep "Capacity|Model" > physical_disk
system_profiler SPStorageDataType | egrep "Available|Capacity|Mount Point" > logical_disk
system_profiler SPDisplaysDataType | egrep "Chipset Model|VRAM \(Total\)|VRAM \(Dynamic, Max\)|Resolution|Pixel Depth" > video
system_profiler SPNetworkDataType -xml > nics
system_profiler SPApplicationsDataType -xml > app

system_profiler SPHardwareDataType -xml > hardware.xml
system_profiler SPMemoryDataType -xml > mem.xml
system_profiler SPSerialATADataType -xml > physical_disk.xml
system_profiler SPParallelATADataType -xml > pata_disk.xml
system_profiler SPNVMeDataType -xml > nvme_disk.xml
system_profiler SPStorageDataType -xml > logical_disk.xml
system_profiler SPDisplaysDataType -xml > video.xml
